
%global snapshot 20111204git

Name:           kde-plasma-publictransport 
Version:        0.10
Release:        0.4.%{snapshot}%{?dist}
Summary:        Public Transport plasma applet

Group:          Applications/Internet
License:        GPLv2+ 
URL:            http://publictransport.horizon-host.com/
Source0:        publictransport_%{snapshot}.tar.gz

BuildRequires:  kdebase-workspace-devel
BuildRequires:  kdelibs4-devel >= 4.6.0
BuildRequires:  desktop-file-utils
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Requires:       kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
PublicTransport is a plasma applet that shows a departure/arrival board 
for a given stop. It can also show journeys to or from the given "home stop".

%package libs
Summary:        Runtime libraries and icons for %{name}
Group:          System Environment/Libraries

%description libs
%{summary}.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%package -n timetablemate
Summary:        Little IDE for publictransport plasmoid accessors
Group:          Development/Tools
License:        GPLv2+ 
Requires:       kwebkitpart
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description -n timetablemate
A little IDE to create new scripts for the publictransport
Plasma data engine that adds support for new service providers.

%prep
%setup -cq -n publictransport-%{snapshot}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. -DINSTALL_ALL=on
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-validate %{buildroot}/%{_kde4_datadir}/applications/kde4/timetablemate.desktop
#remove executable bit
chmod 644 %{buildroot}/%{_kde4_datadir}/applications/kde4/timetablemate.desktop

%post libs
/bin/touch --no-create  %{_kde4_iconsdir}/hicolor &>/dev/null || :
/sbin/ldconfig

%postun libs
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create  %{_kde4_iconsdir}/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache  %{_kde4_iconsdir}/hicolor &>/dev/null || :
fi
/sbin/ldconfig

%posttrans libs
/usr/bin/gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :

%files
%{_kde4_appsdir}/plasma_engine_publictransport
%{_kde4_appsdir}/plasma_applet_graphicaltimetableline
%{_kde4_appsdir}/plasma_applet_publictransport

%{_kde4_libdir}/kde4/*.so

%{_kde4_datadir}/kde4/services/plasma-applet-graphicaltimetableline.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-publictransport.desktop
%{_kde4_datadir}/kde4/services/plasma-engine-openstreetmap.desktop
%{_kde4_datadir}/kde4/services/plasma-engine-publictransport.desktop
%{_kde4_datadir}/kde4/services/plasma-runner-publictransport.desktop
%{_kde4_datadir}/kde4/services/plasma-runner-publictransport_config.desktop
%{_kde4_datadir}/kde4/services/publictransporthelper.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-flights.desktop

%{_kde4_configdir}/publictransport.knsrc

%doc applet/{CHANGELOG,AUTHORS,COPYING} 

%files libs
%{_kde4_libdir}/libpublictransporthelper*
%{_kde4_iconsdir}/hicolor/*/*/*

%files devel
%{_kde4_includedir}/publictransporthelper

%files -n timetablemate
%{_bindir}/timetablemate
%config %{_kde4_sysconfdir}/dbus-1/system.d/org.kde.timetablemate.conf
%{_kde4_libexecdir}/timetablematehelper
%{_kde4_datadir}/applications/kde4/timetablemate.desktop
%{_kde4_datadir}/config.kcfg/timetablemate.kcfg
%{_kde4_datadir}/dbus-1/system-services/org.kde.timetablemate.service
%{_kde4_datadir}/polkit-1/actions/org.kde.timetablemate.policy
%{_kde4_appsdir}/timetablemate

%doc timetablemate/{AUTHORS,CHANGELOG,COPYING}



%changelog
* Fri Jan 20 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 0.10-0.4.20111204git
- fix icon scriptlets

* Wed Jan 18 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 0.10-0.3.20111204git
- apply icon scriptlets to the libs subpackage

* Wed Dec 21 2011 Gregor Tätzner <brummbq@fedoraproject.org> - 0.10-0.2.20111204git
- Simplified Requirement Versioning and small fixes

* Tue Dec 13 2011 Gregor Tätzner <brummbq@fedoraproject.org> - 0.10-0.1.20111204git
- trivial fixes

* Sun Dec 04 2011 Gregor Tätzner <brummbq@fedoraproject.org> - 0.10-0.0.20111204git
- Initial package for Fedora

